import { Visualizer } from '../../..';
import { IScene } from '../../EventSystem/EventTypes';
export declare class SceneMetadataManager {
    experienceId: string;
    visualizer: Visualizer;
    constructor(visualizer: Visualizer, experienceId: string);
    getMetadata(): Promise<string>;
    getCatalogProps(): {
        email: any;
        password: any;
        organization: any;
        catalog: any;
    };
    getSceneImage(sceneId: string): string;
    getSceneTitle(sceneId: string): string;
    getSceneList(): IScene[];
}
